/*
 * 20170728-18-6046.c
 *
 * 次の漸化式の形で定義された数列 { a_n } の第 108 項目を求めなさい。
 *		a_1 = 20
 *		a_{n+1} = (4 * a_{n} + 16) mod 235
 */

#include <stdio.h>
#include <math.h>
#include "s_print.h"
#include "s_input.h"

/*
 * 漸化式に基き、a_n を計算する関数 func(n) を定義する
 */

int func ( int n ) {

	if ( n <= 1 ) {		/* 本当は n == 1 で良いが安全性のため n <= 1 とする */
		/* 初項なので.. */

	/*
	**	 この部分を完成させなさい
	*/

	} else {			/* n = k + 1 の時は、n = k の値を再帰で求める */
		/* n=k+1 の時、k=n-1 の値を再帰で求める事ができれば */
		/* a_n = a_{k+1} = ( 4 * a_k + 16 ) % 235 = ( 4 * a_{n-1} + 16 ) % 235 */
        /* となるので... */

	/*
	**	 この部分を完成させなさい
	*/

	}
}

/*
 *
 */

int main ( int argc, char *argv[] ) {

	s_print_string ( "初項   a_1     = 20\n" );
	s_print_string ( "一般項 a_{n+1} = ( 4 * a_n + 16 ) % 235\n" );
	s_print_string ( "で、定義された数列 {a_n} の第 108 項の値は " );

	/*
	**	 この部分を完成させなさい
	*/

	s_print_string ( " です。\n" );

	return 0;
}

/*
 *
 */

